#include <iostream>
#include <string>

using namespace std;

int main()
{
    int brc=0;
    string cenzura,zbrnjeno;
    cin >> cenzura >> zbrnjeno;
    for(int i=0;i<cenzura.size();i++){
        if(cenzura[i]=='a'){
            brc++;
        }
        if(brc==zbrnjeno.size()){
            brc--;
            cenzura[i]='*';
        }
    }
    cout << cenzura << endl;
    return 0;
}